Bug 1242720

Summary: CVE-2015-5144 python-django: Django: possible header injection due to validators accepting newlines in input [fedora-all]
Product: [Fedora] Fedora Reporter: Garth Mollett <gmollett>
Component: python-djangoAssignee: Matthias Runge <mrunge>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 22CC: bkabrda, jal233, jdornak, mhroncok, michel, mrunge
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-django-1.8.3-1.fc22 python-django-1.8.6-1.fc23 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-19 10:00:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1239011    

Description Garth Mollett 2015-07-14 03:17:55 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Garth Mollett 2015-07-14 03:18:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1239011,1242720

# Description of your update
notes=Security fix for CVE-2015-5144

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1239011,1242720

Comment 3 Fedora Update System 2015-08-20 12:30:56 UTC
python-django-1.8.4-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1242720

Comment 4 Fedora Update System 2015-08-20 19:21:21 UTC
python-django-1.8.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-django'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/F23/FEDORA-2015-13824

Comment 5 Fedora Update System 2015-11-02 09:47:44 UTC
python-django-1.8.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-66d4519450

Comment 6 Fedora Update System 2015-11-03 00:24:16 UTC
python-django-1.8.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-django'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-66d4519450

Comment 7 Fedora Update System 2015-11-05 13:46:18 UTC
python-django-1.8.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1dd5bc998f

Comment 8 Fedora Update System 2015-11-06 02:34:43 UTC
python-django-1.8.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-django'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1dd5bc998f

Comment 9 Fedora Update System 2015-11-19 10:00:21 UTC
python-django-1.8.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.